"""Add keys and key versions

Revision ID: f4adeca56f06
Revises: 27bf64fed3c3
Create Date: 2022-01-06 18:31:14.983128

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "f4adeca56f06"
down_revision = "27bf64fed3c3"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "key",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("name", sa.String(), nullable=False),
        sa.Column("description", sa.String(), nullable=False),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("name"),
    )
    op.create_table(
        "key_version",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("key", sa.Integer(), nullable=False),
        sa.Column("config", sa.Integer(), nullable=False),
        sa.Column("version", sa.Integer(), nullable=False),
        sa.Column("message", sa.String(), nullable=True),
        sa.ForeignKeyConstraint(
            ["config"],
            ["configuration.id"],
        ),
        sa.ForeignKeyConstraint(
            ["key"],
            ["key.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("key_version")
    op.drop_table("key")
    # ### end Alembic commands ###
